package cc.fascinated.wildaddons.utils;

import cc.fascinated.wildaddons.Main;

public class GameUtils {

    /**
     * Gets the current fps
     *
     * @return the fps
     */
    public static int getFps() {
        return Main.getMinecraftClient().getCurrentFps();
    }

    /**
     * Gets the current fps formatted with colors
     *
     * @return the fps
     */
    public static String getFpsFormatted() {
        int fps = getFps();
        if (fps > 60) {
            return "§a" + fps;
        }
        if (fps > 30) {
            return "§e" + fps;
        }
        return "§c" + fps;
    }
}
